# include/xapian.h File Reference

Public interfaces for the Xapian library. More...

`#include <xapian/version.h>`
`#include <xapian/types.h>`
`#include <xapian/error.h>`
`#include <xapian/errorhandler.h>`
`#include <xapian/database.h>`
`#include <xapian/dbfactory.h>`
`#include <xapian/document.h>`
`#include <xapian/positioniterator.h>`
`#include <xapian/postingiterator.h>`
`#include <xapian/termiterator.h>`
`#include <xapian/valueiterator.h>`
`#include <xapian/termgenerator.h>`
`#include <xapian/enquire.h>`
`#include <xapian/expanddecider.h>`
`#include <xapian/query.h>`
`#include <xapian/queryparser.h>`
`#include <xapian/sorter.h>`
`#include <xapian/stem.h>`
`#include <xapian/unicode.h>`
`#include <xapian/visibility.h>`
`#include <xapian/deprecated.h>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Functions

XAPIAN_VISIBILITY_DEFAULT const char * | Xapian::version_string ()
| Report the version string of the library which the program is linked with.
XAPIAN_VISIBILITY_DEFAULT | Xapian::XAPIAN_DEPRECATED (const char *xapian_version_string())
| For compatibility with Xapian 0.9.5 and earlier.
XAPIAN_VISIBILITY_DEFAULT int | Xapian::major_version ()
| Report the major version of the library which the program is linked to.
XAPIAN_VISIBILITY_DEFAULT | Xapian::XAPIAN_DEPRECATED (int xapian_major_version())
| For compatibility with Xapian 0.9.5 and earlier.
XAPIAN_VISIBILITY_DEFAULT int | Xapian::minor_version ()
| Report the minor version of the library which the program is linked to.
XAPIAN_VISIBILITY_DEFAULT int | Xapian::revision ()
| Report the revision of the library which the program is linked to.

## Detailed Description

Public interfaces for the Xapian library.